#ifndef __IJAMRENDERTREE_H__
#define __IJAMRENDERTREE_H__


#include "IJamRenderObject.h"


class IJamRenderTree : public IJamRenderObject
{
public:
	void SetIsVisible(const bool bIsVisible);
	void AddRenderObject(class IJamRenderObject* pcInterface);
	void RemoveRenderObject(class IJamRenderObject* pcInterface);


private:
	virtual class CJamRenderObject* RetObject();
	IJamRenderTree(class CJamRenderTree* pcJamRenderTree);
	~IJamRenderTree();
	class CJamRenderTree* mpcJamRenderTree;
	friend class CJamRenderManager;
	friend class CJamRenderTree;
	const IJamRenderTree* mpcSelf;
};


#endif // __IJAMRENDERTREE_H__
