#ifndef __JAMDEBUG_H__
#define __JAMDEBUG_H__


#define JamAssert(Condition, Message) \
	(void)((Condition) || (_JamAssert(#Condition, __FILE__, __LINE__, __FUNCTION__, Message), 0))

#define JamLog \
	_JamSetSystem("Game"); \
	_JamLog

#define JamLogVerbose \
	_JamSetSystem("Game"); \
	_JamLogVerbose


extern void _JamAssert(const char* pszCondition, const char* pszFile, const int iLine, const char* pszFunction, const char* pszMessage);
extern void _JamSetSystem(const char* pszSystemName);
extern void _JamLog(const char* pszMessage, ...);
extern void _JamLogVerbose(const char* pszMessage, ...);


#endif // __JAMDEBUG_H__