#ifndef __CGAMESTATE_FRONTEND_H__
#define __CGAMESTATE_FRONTEND_H__


#include "GameStates/CGameState.h"


class CGameState_FrontEnd : public CGameState
{
public:
	virtual void Initialise();
	virtual void Shutdown();
	virtual void Update();

private:
	IJamRenderTree* mpcRootRenderTree;

	IJamSprite* mpcBackground;
	IJamBitmapText* mapcTitleText[4];
	IJamBitmapText* mapcInstructionText[8];
	IJamBitmapText* mpcLevelNumber;
	IJamSprite* mapcButtons[3];

	float mfTimer;
};


#endif // __CGAMESTATE_FRONTEND_H__
