#ifndef __IJAMSOUND_H__
#define __IJAMSOUND_H__


class IJamSound
{
private:
	IJamSound(class CJamSound* pcSound);
	~IJamSound();
	friend class CJamSound;

public:
	int Play(const float fVolume = 1.0f, const float fPan = 0.0f);
	int PlayLooping(const float fVolume = 1.0f, const float fPan = 0.0f);
	void Stop(const int iHandle);
	void StopAll();
	void SetVolume(const int iHandle, const float fVolume);
	void SetPan(const int iHandle, const float fPan);
	bool RetIsPlaying(const int iHandle) const;
	void SetPosition(const int iHandle, const float fPosition);
	float RetPosition(const int iHandle) const;

private:
	class CJamSound* mpcSound;
};


#endif // __IJAMSOUND_H__
