#ifndef __JAMENUMS_H__
#define __JAMENUMS_H__


typedef enum
{
	EJA_TopLeft				= (0<<2)|0,
	EJA_TopMiddle			= (0<<2)|1,
	EJA_TopRight			= (0<<2)|2,

	EJA_MiddleLeft			= (1<<2)|0,
	EJA_MiddleMiddle		= (1<<2)|1,
	EJA_MiddleRight			= (1<<2)|2,

	EJA_BottomLeft			= (2<<2)|0,
	EJA_BottomMiddle		= (2<<2)|1,
	EJA_BottomRight			= (2<<2)|2,

	EJA_Middle = EJA_MiddleMiddle,
	EJA_Default = EJA_MiddleMiddle,
}EJamAnchor;


typedef enum
{
	EJLCS_Flat,
	EJLCS_Square,
}EJamLineCapStyle;


typedef enum
{
	EJK_A,
	EJK_B,
	EJK_C,
	EJK_D,
	EJK_E,
	EJK_F,
	EJK_G,
	EJK_H,
	EJK_I,
	EJK_J,
	EJK_K,
	EJK_L,
	EJK_M,
	EJK_N,
	EJK_O,
	EJK_P,
	EJK_Q,
	EJK_R,
	EJK_S,
	EJK_T,
	EJK_U,
	EJK_V,
	EJK_W,
	EJK_X,
	EJK_Y,
	EJK_Z,
	EJK_0,
	EJK_1,
	EJK_2,
	EJK_3,
	EJK_4,
	EJK_5,
	EJK_6,
	EJK_7,
	EJK_8,
	EJK_9,
	EJK_ESCAPE,
	EJK_TAB,
	EJK_RETURN,
	EJK_SHIFT,
	EJK_CONTROL,
	EJK_SPACE,
	EJK_LEFT,
	EJK_UP,
	EJK_RIGHT,
	EJK_DOWN,
	EJK_F1,
	EJK_F2,
	EJK_F3,
	EJK_F4,
	EJK_F5,
	EJK_F6,
	EJK_F7,
	EJK_F8,
	EJK_F9,
	EJK_F10,
	EJK_F11,
	EJK_F12,
	EJK_LMOUSEBUTTON,
	EJK_RMOUSEBUTTON,

	Total_EJamKey
}EJamKey;


typedef enum
{
	EJMM_AbsoluteWithSystemCursor,
	EJMM_Absolute,
	EJMM_Relative,
}EJamMouseMode;


#endif // __JAMENUMS_H__
